Package org.linphone.core

# Enum Class ChatRoom.Capabilities

java.lang.Object
java.lang.Enum<ChatRoom.Capabilities>
org.linphone.core.ChatRoom.Capabilities

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatRoom.Capabilities>`, `Constable`

Enclosing interface:
  ChatRoom

public static enum ChatRoom.Capabilities extends Enum<ChatRoom.Capabilities>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Basic`
No server.
`Conference`
Use server (supports group chat)
`Encrypted`
Chat room is encrypted.
`Ephemeral`
Chat room can enable ephemeral messages.
`Migratable`
Chat room migratable from Basic to Conference.
`None`
No capabilities.
`OneToOne`
A communication between two participants (can be Basic or Conference)
`Proxy`
Special proxy chat room flag.
`RealTimeText`
Supports RTT.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ChatRoom.Capabilities`
`fromInt(int value)`
`int`
`toInt()`
`static ChatRoom.Capabilities`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChatRoom.Capabilities[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final ChatRoom.Capabilities None
No capabilities.

### Basic

public static final ChatRoom.Capabilities Basic
No server.
It's a direct communication

### RealTimeText

public static final ChatRoom.Capabilities RealTimeText
Supports RTT.

### Conference

public static final ChatRoom.Capabilities Conference
Use server (supports group chat)

### Proxy

public static final ChatRoom.Capabilities Proxy
Special proxy chat room flag.

### Migratable

public static final ChatRoom.Capabilities Migratable
Chat room migratable from Basic to Conference.

### OneToOne

public static final ChatRoom.Capabilities OneToOne
A communication between two participants (can be Basic or Conference)

### Encrypted

public static final ChatRoom.Capabilities Encrypted
Chat room is encrypted.

### Ephemeral

public static final ChatRoom.Capabilities Ephemeral
Chat room can enable ephemeral messages.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ChatRoom.Capabilities[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChatRoom.Capabilities valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ChatRoom.Capabilities fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()